#
# spec file for package perl-Math-Base-Convert
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Math-Base-Convert
Version:        0.11
Release:        bp156.3.1
%define cpan_name Math-Base-Convert
Summary:        Very Fast Base to Base Conversion
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Math-Base-Convert/
Source0:        http://www.cpan.org/authors/id/M/MI/MIKER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         reproducible.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module provides fast functions and methods to convert between
arbitrary number bases from 2 (binary) thru 65535.

This module is pure Perl, has no external dependencies, and is backward
compatible with old versions of Perl 5.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc bitmaps Changes README recurse2txt

%changelog
* Tue Jan 17 2017 bwiedemann@suse.com
- Add reproducible.patch to allow for reproducible builds
* Mon Nov  9 2015 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Math-Base-Convert/Changes
  0.11  Thu Oct 22 15:31:10 PDT 2015
  fix one more typo
  0.10  Wed Oct 21 19:56:19 PDT 2015
  finish the typo corrections started in 0.09, sigh...
  0.09  Wed Oct 21 18:53:44 PDT 2015
  corrected numerous typos thanks to patch by
  gregor herrmann <gregoa@debian.org>
* Tue Oct  6 2015 coolo@suse.com
- initial package 0.08
  * created by cpanspec 1.78.08
